blobwars (2.00-4ubuntu1) noble; urgency=medium

  * Sync with Debian. Remaining change:
    - Add patch to use strl{cat,cpy} from glibc 2.38 instead of reimplementing
      them

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 21 Apr 2024 20:07:28 -0400

blobwars (2.00-4) unstable; urgency=medium

  * QA upload.
  * Import package history into GIT.
  * Ignore RELEASE environment variable from salsa CI.
  * Fix FTBFS with 64-bit time_t on 32-bit architectures.  (Closes: #1069463)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 21 Apr 2024 19:08:57 +0200

blobwars (2.00-3) unstable; urgency=medium

  * QA upload.
  * debian/control: Change short-description of blobwars-data stanza.
  * debian/watch:
    - Replace some regex's to @TAGS@.
    - Update to version 4.

 -- Manoel Ibere Wiedmer Gomes <manoelwiedmer@gmail.com>  Tue, 12 Dec 2023 10:46:42 -0300

blobwars (2.00-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #963910)

 -- Marcos Talau <talau@debian.org>  Sat, 12 Nov 2022 08:30:13 -0300

blobwars (2.00-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop menu file and its pixmap, as blobwars already provides a .desktop
    file.

 -- Pino Toscano <pino@debian.org>  Sat, 12 Sep 2020 11:06:42 +0200

blobwars (2.00-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Olivier Tilloy ]
  * Change depends on ttf-dejavu-core to fonts-dejavu-core (Closes: #962210)

  [ Helmut Grohne ]
  * Fix FTCBFS by using build architecture pkg-config. (Closes: #895146)

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Jun 2020 20:18:30 -0400

blobwars (2.00-1) unstable; urgency=medium

  * New upstream release.
    - Now uses SDL2.
  * Bump Standards-Version and debian/compat.
  * Update debian/copyright.

 -- Guus Sliepen <guus@debian.org>  Sun, 22 Nov 2015 00:11:35 +0100

blobwars (1.19-2) unstable; urgency=low

  * Bump Standards-Version.
  * Build-depend on zlib1g-dev Closes: #669455
  * Provide build-arch and build-indep targets in debian/rules.
    Closes: #648312

 -- Guus Sliepen <guus@debian.org>  Tue, 08 May 2012 17:24:09 +0200

blobwars (1.19-1) unstable; urgency=low

  * New upstream release.
  * Add watch file.

 -- Guus Sliepen <guus@debian.org>  Sun, 17 Apr 2011 17:06:31 +0200

blobwars (1.18-1) unstable; urgency=low

  * New upstream release. Closes: #590430
    - Fixed crashes in boss battles. Closes: #526428
    - Ensures Bob cannot get the jetpack too early. Closes: #553341
    - Has new, DFSG-compliant music and sounds. Closes: #612492
  * Update homepage URL. Closes: #575800
  * Convert source package to 3.0 (quilt).
  * Convert copyright file to DEP-5 format to retain some sanity.
  * Bump Standards-Version.

 -- Guus Sliepen <guus@debian.org>  Sun, 13 Feb 2011 20:33:27 +0100

blobwars (1.14-dfsg-1) unstable; urgency=low

  * New upstream release.
  * Do not show trigger areas. Closes: #524653
  * Perform a sanity check when loading keyboard.cfg. Closes: #471378
  * Do not Suggest blobwars-data-nonfree anymore, and update README.Debian;
    since there is no (clear) copyright information for most of the music
    and sound, it is not distributable at all. Closes: #515541
  * Bump Standards-Version.
  * Add lintian overrides for the translated copyright files displayed
    in-game.

 -- Guus Sliepen <guus@debian.org>  Sun, 26 Jul 2009 16:47:21 +0200

blobwars (1.11-dfsg-1) unstable; urgency=low

  * New upstream release.
  * Use DejaVu font from the ttf-dejavu-core package, since the
    ttf-bitstream-vera package is being removed. Closes: #516593

 -- Guus Sliepen <guus@debian.org>  Mon, 02 Mar 2009 17:05:41 +0100

blobwars (1.10-dfsg-1) unstable; urgency=low

  * New upstream release.
  * Use Vera font from the ttf-bitstream-vera package.

 -- Guus Sliepen <guus@debian.org>  Wed, 11 Feb 2009 23:08:23 +0100

blobwars (1.08-dfsg-1) unstable; urgency=low

  * Remove all music and sound files from the upstream tarball, as they are
    not DFSG compliant. Closes: #495484
  * Do not put all data files in one PAK file anymore.
  * Put the other data files into a blobwars-data package. Closes: #288173
  * Ignore missing sound and music files.

 -- Guus Sliepen <guus@debian.org>  Sat, 30 Aug 2008 22:58:49 +0200

blobwars (1.08-1) unstable; urgency=low

  * New upstream release.
  * Call dh_desktop and dh_icons in debian/rules. Closes: #448066
  * Fix NAME section in manpage.

 -- Guus Sliepen <guus@debian.org>  Sat, 16 Feb 2008 13:05:45 +0100

blobwars (1.07-2) unstable; urgency=low

  * Correct spelling of "weaponry". Closes: #434328
  * Fix all g++-4.2 warnings.
  * Update desktop and menu files.

 -- Guus Sliepen <guus@debian.org>  Tue, 14 Aug 2007 14:43:27 +0200

blobwars (1.07-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Wed, 09 May 2007 23:09:38 +0200

blobwars (1.06-2-2) unstable; urgency=low

  * Update debian/copyright. Closes: #420276
    - Mention the names of all main authors.
    - Include license headers instead of just a reference to a license file.
    - Include the license statements for the Bitstream Vera font and the music
      and sound used in this package.
  * Update Catalan and Dutch translations. Closes: #415174

 -- Guus Sliepen <guus@debian.org>  Sun, 22 Apr 2007 13:58:29 +0200

blobwars (1.06-2-1) unstable; urgency=low

  * New upstream release. All patches from the previous Debian versions have
    been applied by upstream. Thanks to all patch submitters and to Parallel
    Realities :)

 -- Guus Sliepen <guus@debian.org>  Sat, 14 Apr 2007 13:15:49 +0200

blobwars (1.05-6) unstable; urgency=low

  * Apply patch from Javier Serrano Polo fixing multiple issues:
    - Fix behaviour of decorative tiles in certain maps.
      Closes: #299145, #405854
    - Fix item placement with tall objects. Related to #329152.
    - Fix MIA placement on lift while moving around. Closes: #361905
    - Sometimes killing a boss doesn't complete the objective. Closes: #362661
    Closes: #415649
  * Apply patch from Javier Serrano Polo fixing the Forgotten Caves map in
    easy mode. Partially fixes #415647.
  * Apply patch from Javier Serrano Polo removing the possibility to disable
    auto save. Closes: #415172
  * Apply patch from Javier Serrano Polo adding i18n support. Closes: #415173
  * Add Catalan translation provided by Javier Serrano Polo. Closes: #415174
  * Apply patch from Javier Serrano Polo fixing several spelling issues and a
    too long level description.
    Closes: #361751, #361880, #362497, #362660, #361735
  * Add Dutch translation.

 -- Guus Sliepen <guus@debian.org>  Mon, 02 Apr 2007 12:11:16 +0200

blobwars (1.05-5) unstable; urgency=low

  * Honour CFLAGS when building the binary. Closes: #411102
  * Applied patch from Javier Serrano Polo fixing loading savegames after
    completing the training mission. Closes: #337731
  * Applied patch from Javier Serrano Polo preventing the player from getting
    stuck in the pit in Flooded Tunnel #2. Closes: #288680
  * Add a link to the homepage to the package description.

 -- Guus Sliepen <guus@debian.org>  Tue, 20 Feb 2007 22:18:39 +0100

blobwars (1.05-4) unstable; urgency=low

  * Fix .desktop file. Closes: #402167
  * Add menu entry. Closes: #401193

 -- Guus Sliepen <guus@debian.org>  Sat,  9 Dec 2006 15:09:17 +0100

blobwars (1.05-3) unstable; urgency=low

  * Package adopted from Ondřej Surý.
  * Replace busyloops with calls to SDL_Delay(), to prevent blobwars
    from using 100% CPU unnecessarily. Closes: #366030
  * Add manpage provided by Jordà Polo. Closes: #288816
  * Make sure "make clean" really cleans everything.
  * Changed from CDBS to debhelper.
  * Updated Standards-Version and debhelper compatibility level.

 -- Guus Sliepen <guus@debian.org>  Thu, 16 Nov 2006 12:13:50 +0100

blobwars (1.05-2) unstable; urgency=low

  * 02_ftbfs-gcc4.1-fix.patch
    - Fix FTBFS with GCC 4.1 (Closes: #355988)
  * 04_desktop_dir.patch: (Courtesy of Ubuntu)
    - install .desktop file in /usr/share/applications/ (Closes: #349358)
    - install .png files in /usr/share/icons/hicolo/*x*/apps/

 -- Ondřej Surý <ondrej@debian.org>  Fri, 10 Mar 2006 11:38:00 +0100

blobwars (1.05-1) unstable; urgency=low

  * New upstream version.

 -- Ondřej Surý <ondrej@sury.org>  Wed, 13 Jul 2005 09:27:33 +0200

blobwars (1.04-1) unstable; urgency=low

  * New upstream version. (Closes: #306511)

 -- Ondřej Surý <ondrej@sury.org>  Wed, 27 Apr 2005 08:47:45 +0200

blobwars (1.03-1) unstable; urgency=low

  * New upstream version.

 -- Ondřej Surý <ondrej@sury.org>  Fri, 15 Apr 2005 10:23:02 +0200

blobwars (1.02-1) unstable; urgency=low

  * New upstream release
  * Fixes crash in uncharted cavern (Closes: #289898)
  * Disable debug (Closes: #283789)
  * Entering key configuration menu no longer enables cheat menu (Closes: #283791)

 -- Ondřej Surý <ondrej@sury.org>  Tue, 18 Jan 2005 09:17:52 +0100

blobwars (1.0-1) unstable; urgency=low

  * New upstream *final* release (Closes: #284153)
   + Further releases will be only bugfix.
   + Please note, that compatibility to < 0.98 save games is not retained.

 -- Ondřej Surý <ondrej@sury.org>  Fri, 31 Dec 2004 16:40:17 +0100

blobwars (0.98.1-1) unstable; urgency=low

  * New upstream release.  (Closes: #283344)
  * Several patches merged upstream.

 -- Ondřej Surý <ondrej@sury.org>  Sun, 28 Nov 2004 18:26:52 +0100

blobwars (0.95.1-1) unstable; urgency=low

  * New upstream release.

 -- Ondřej Surý <ondrej@sury.org>  Wed, 13 Oct 2004 13:55:11 +0200

blobwars (0.94.1-1) unstable; urgency=low

  * New upstream release. (Closes: #269552, #273949, #244553)

 -- Ondřej Surý <ondrej@sury.org>  Wed,  6 Oct 2004 10:49:37 +0200

blobwars (0.92-1) unstable; urgency=low

  * New upstream release. (Closes: #246677, #246658, #270727, #270575, #271389)

 -- Ondřej Surý <ondrej@sury.org>  Sun, 26 Sep 2004 10:00:38 +0200

blobwars (0.91-1) unstable; urgency=low

  * New upstream release. (Closes: #270170)
   + Joypad code got fixed (Closes: #247886)
   + Game can be played from start till end (Closes: #255389)

 -- Ondřej Surý <ondrej@debian.org>  Mon,  6 Sep 2004 10:19:05 +0200

blobwars (0.90-1) unstable; urgency=low

  * New upstream release.
  * Don't strip binaries in makefile (Closes: #253670)
  * This release should contain full set of levels (Closes: #251789, #261148, #251788)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 12 Aug 2004 10:23:44 +0200

blobwars (0.52-2) unstable; urgency=low

  * Disable fullscreen by default (Closes: #246659)
    - Game can be run on systems which don't have 640x480 resolution
      configured.

 -- Ondřej Surý <ondrej@debian.org>  Fri, 30 Apr 2004 11:16:27 +0200

blobwars (0.52-1) unstable; urgency=low

  * New upstream release.
  * Fixed bug relating to Flooded Tunnel #1 when destroying generators
    with grenades (Closes: #244493)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 19 Apr 2004 09:30:34 +0200

blobwars (0.51-1) unstable; urgency=low

  * Initial Release.
  * Disabled debug output.

 -- Ondřej Surý <ondrej@debian.org>  Sat, 13 Mar 2004 12:05:26 +0100

